Subject: bug#73360: Error when a long list is provided to grep with "--binary-files=without-match" option

From: [email-masked]
Date: Thu, 19 Sep 2024 19:19:26 -0500

I can't reproduce this.  I am running "grep (GNU grep) 3.11" and "xargs (GNU findutils) 4.10.0" on an Artix distribution.

I have a directory that has 52422 regular files in it, over twice your example with some 23397 files.

I get the same result regardless of whether or not I constrain xargs to "-n 100" arguments per exec.

Could you:

1) See if you can see any difference in if or how xargs invokes grep on the two files that are coming up different, by looking for those two missing filenames in the tracing output from using the  xargs --verbose option.

2) Probably not helpful, but is there anything strange about these two missing files:
    < ./apex/images/apex_ui/psd/apex_5_ui.ai
    < ./apex/images/apex_ui/psd/apex-logo.ai
   Are their sizes and file types, from the 'file' command, similar to some of the other files?

My wild guess speculation would be that you're hitting some unknown limit on xargs when invoked with an argument list that is right at the limit of what your system allows.  But I wouldn't bet a cheap beer on that guess being right. 

-- 
  Paul Jackson
  [email-masked]